@echo off

rem ensure environment is ready

rem This gets up VirtualBox VBoxSVC.exe COM Server right
rem and thus helps us not to run in any timing problems
rem due to a lazy VBox COM Server ... o.O
VBoxManage list vms > %TEMP%\VMS.txt
del %TEMP%\VMS.txt

rem Now, VBox should feel good within the Windows OS space
rem switch into the User's VBox setup folders
C:
cd "C:\Users\%USERNAME%
mkdir "VirtualBox VMs"
cd "VirtualBox VMs"

rem get recent initial VM and create disk image
echo "download initial OpenSecurity VM"
rem wget http://service.x-net.at/opensecurity/OsecVM_initialized.ova

rem I've already downloaded ... this is for convenience --> delete this line
rem This is just for testing. Enbale the real "wget http://service...." line above
rem to get the real VM image from X-Net
copy C:\Users\dyle\Documents\OpenSecurity\setup\OsecVM_initialized.ova .

rem import the VM
VBoxManage.exe import OsecVM_initialized.ova --vsys 0 --vmname SecurityDVM --unit 12 --disk SecurityDVM\SecurityDVM.vmdk

rem launch the SecurityVM the first time to let the user do initial updates
VBoxManage.exe startvm SecurityDVM

echo # Start VirtualBox and update the machine	
echo #                                         
echo # login with                              
echo #   user: root                            
echo #   pass: osecvm                          
echo #                                         
echo # issue these commands as root            
echo #                                         
echo #       # apt-get update                  
echo #       # apt-get upgrade                 
echo #       # apt-get dist-upgrade            
echo #                                         
echo # then shutdown the machine with          
echo #                                         
echo #       # shutdown -h now                 
echo #                                         
echo # press a key when done to proceed        
pause

rem Turn the VM disk image immutable and attach it
echo sealing disk image ...
VBoxManage.exe storageattach SecurityDVM --storagectl SATA --port 0 --medium none
VBoxManage.exe modifyhd SecurityDVM\SecurityDVM.vmdk --type immutable
VBoxManage.exe storageattach SecurityDVM --storagectl SATA --port 0 --device 0 --type hdd --mtype normal --medium SecurityDVM\SecurityDVM.vmdk
echo done. OpenSecurity is ready to serve

